Bug 984047 - Fails to build in f19 & f20
Fails to build in f19 & f20
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-fedorapackager (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 11:30 EDT by Krzysztof Daniel
Modified: 2014-01-12 19:28 EST (History)
5 users (show)

See Also:
Fixed In Version: eclipse-fedorapackager-0.4.1-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 01:53:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Daniel 2013-07-12 11:30:43 EDT
[ERROR] Failed to execute goal org.eclipse.tycho:tycho-compiler-plugin:0.18.0:compile (default-compile) on project org.fedoraproject.eclipse.packager.rpm: Compilation failure: Compilation failure:
[ERROR] /builddir/build/BUILD/eclipse-fedorapackager-0.4.1/org.fedoraproject.eclipse.packager.rpm/src/org/fedoraproject/eclipse/packager/rpm/api/SRPMImportCommand.java:[135]
[ERROR] } catch (InvocationTargetException e) {
[ERROR] ^^^^^^^^^^^^^^^^^^^^^^^^^
[ERROR] Unreachable catch block for InvocationTargetException. This exception is never thrown from the try statement body
[ERROR] 1 problem (1 error)
[ERROR] -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
Comment 1 Fedora Update System 2013-07-12 12:54:53 EDT
eclipse-fedorapackager-0.4.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/eclipse-fedorapackager-0.4.1-7.fc19
Comment 2 Fedora Update System 2013-07-13 23:26:09 EDT
Package eclipse-fedorapackager-0.4.1-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-fedorapackager-0.4.1-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12947/eclipse-fedorapackager-0.4.1-7.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-07-18 01:53:59 EDT
eclipse-fedorapackager-0.4.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.